(function($) {
	var count = 1,
		li = null,
		str = '',
		doc = document;
	$.init({
		pullRefresh: {
			container: '#pullrefresh',
			down: {
				callback: pulldownRefresh
			},
			up: {
				contentrefresh: '正在加载',
				contentnomore: '没有更多数据了',
				callback: pullupRefresh
			}
		}
	});
	if ($.os.plus) {
		$.plusReady(function() {
			setTimeout(function() {
				$('#pullrefresh').pullRefresh().pullupLoading();
			}, 1000);
		});
	} else {
		$.ready(function() {
			$('#pullrefresh').pullRefresh().pullupLoading();
		});
	}

	function pulldownRefresh() { //下拉刷新
		createLi('down');
	}

	function pullupRefresh() { //上拉加载
		createLi('up');
	}

	function getType(t) {
		switch (t) {
			case 1:
				return '活动获得';
			case 2:
				return '订单获得';
			case 3:
				return '系统调整';
			case 4:
				return '积分兑兑换';
			default:
				return '';
		}
	}

	function createLi(type) {
		baseClass.showWaiting('正在加载');
		var table = doc.body.querySelector('.mui-table-view');
		$.ajax(serverUrl + 'Integral/GetIntegralList', {
			data: {
				UserID: window.getItem('uid'),
				PageSize: pageSize,
				PageIndex: type == "down" ? 1 : count
			},
			dataType: 'json',
			type: 'POST',
			timeout: 10000,
			success: function(data) {
				console.log(JSON.stringify(data))
				baseClass.closeWaiting();
				if (type == "down") {
					table.innerHTML = "";
					count = 1;
				}
				var package = null;
				if (!(data.Result === undefined && data.ErrorMsg === undefined)) {
					if (type == "down") {
						$('#pullrefresh').pullRefresh().endPulldownToRefresh();
					} else {
						$('#pullrefresh').pullRefresh().endPullupToRefresh(true); //15是每页显示条数
					}
					mui.toast(data.ErrorMsg);
				} else {
					package = data;
					for (i in package) {
						li = document.createElement('li');
						li.className = 'mui-table-view-cell';
						str = '<span class="mui-pull-right ' + (package[i].Price >= 0 ? 'moneyadd' : 'moneydel') + '">' + package[i].Price + '</span>'
						str += '<p class="b">' + getType(package[i].Type) + '</p>'
						str += '<p>' + package[i].Time + ' </p>'
						str += '<span>' + package[i].Data + '</span>';
						li.innerHTML = str;
						table.appendChild(li);
					}
					count++;
					if (type == "down") {
						mui('#pullrefresh').pullRefresh().endPulldownToRefresh();
						mui('#pullrefresh').pullRefresh().refresh(!resetUpRefresh(package, pageSize, count));
					} else {
						mui('#pullrefresh').pullRefresh().endPullupToRefresh(resetUpRefresh(package, pageSize, count));
						mui('#pullrefresh').pullRefresh().refresh(!resetUpRefresh(package, pageSize, count));
					}
				}
			},
			error: function(xhr, _type, errorThrown) {
				baseClass.closeWaiting();
				showError('ajax', _type);
				if (type == "down") {
					$('#pullrefresh').pullRefresh().endPulldownToRefresh();
				} else {
					$('#pullrefresh').pullRefresh().endPullupToRefresh(false); //15是每页显示条数
				}
			}
		});
	}

})(mui);