/*
 * 功能：订单相关处理逻辑
 * 作者：
 * 时间:
 * 参数说明:opt：1，列表中操作；2，详情中操作
 */
//订单确认
function confirmOrder(opt, order_id) {
	//alert(serverUrl+'-'+uid+'-'+order_id)
	baseClass.showWaiting('正在处理');
	mui.ajax(serverUrl + 'Order/ConfirmOrder', {
		data: {
			UserID: window.getItem('uid'),
			OrderID: order_id
		},
		dataType: 'json',
		type: 'POST',
		timeout: 10000,
		success: function(data) {
			baseClass.closeWaiting();
			if(data.Result == '1') {
				mui.toast('订单确认成功!');
				var args = {
					id: 'orderPingJia',
					url: 'order-pj.html',
					params: {
						order_id: order_id,
						trans: opt
					}
				};
				openWindowCust(args);

			} else {
				mui.toast(data.ErrorMsg);
			}
		},
		error: function(xhr, type, errorThrown) {
			baseClass.closeWaiting();
			showError('ajax', type);
		}
	});
}

//修改评论为好评
function pjGoodOrder(opt, order_id) {
	mui.ajax(serverUrl + 'OrderProcessHandler.ashx', {
		data: {
			mycz: 'T16',
			number: order_id
		},
		dataType: 'json',
		type: 'get',
		timeout: 10000,
		success: function(data) {
			console.log(JSON.stringify(data))
			if(data.result == '1') {
				mui.toast('修改评价成功!');
				if(opt == 1) {
					createLi('down');
				} else {
					plus.webview.currentWebview().parent().close();
					var orderPage = plus.webview.getLaunchWebview();
					mui.fire(orderPage, 'clicktab', {
						tabId: 'orderTab',
						type: ''
					});
				}
			} else {
				mui.toast('修改评价失败!');
			}
		},
		error: function(xhr, type, errorThrown) {
			showError('ajax', type);
		}
	});
}

//删除订单
function deleteOrder(opt, obj, order_id) {
	baseClass.showWaiting('正在处理');
	mui.ajax(serverUrl + 'Order/DeleteOrder', {
		data: {
			UserID: window.getItem('uid'),
			OrderID: order_id
		},
		dataType: 'json',
		type: 'POST',
		timeout: 10000,
		success: function(data) {
			baseClass.closeWaiting();
			if(data.Result == '1') {
				if(opt == 1) {
					createLi('down');
				} else {
					plus.webview.currentWebview().parent().close();
					var orderPage = plus.webview.getWebviewById('subpage-order.html');
					mui.fire(page.children()[0], 'refreshCust', {
						reqType: ""
					});
				}
				mui.toast('删除订单成功!');
			} else {
				mui.toast(data.ErrorMsg);
			}
		},
		error: function(xhr, type, errorThrown) {
			baseClass.closeWaiting();
			showError('ajax', type);
		}
	});
}

function cancelOrder(opt, order_id) {
	mui.confirm('您确定要取消该订单吗？', '取消订单', ['确认', '放弃'], function(e) {
		if(e.index == 0) {
			baseClass.showWaiting('正在处理');
			mui.ajax(serverUrl + 'Order/CancelOrder', {
				data: {
					UserID: window.getItem('uid'),
					OrderID: order_id,
					Reason: ''
				},
				dataType: 'json',
				type: 'POST',
				timeout: 10000,
				success: function(data) {
					baseClass.closeWaiting();
					if(data.Result == '1') {
						mui.toast('取消订单成功!');
						if(opt == 1) {
							createLi('down');
						} else {
							plus.webview.currentWebview().parent().close();
							var orderPage = plus.webview.getWebviewById('subpage-order.html');
							mui.fire(page.children()[0], 'refreshCust', {
								reqType: ""
							});
						}
					} else {
						mui.toast(data.ErrorMsg);
					}
				},
				error: function(xhr, type, errorThrown) {
					baseClass.closeWaiting();
					showError('ajax', type);
				}
			});
		}
	});
}