var pays = {}; //支付通道信息
var w = null;

//获取系统支付服务通道
function getPayChannels() {
	plus.payment.getChannels(function(channels) {
		for(var i in channels) {
			var channel = channels[i];
			pays[channel.id] = channel;
		}
	}, function(e) {
		Console.log("获取支付通道失败：" + e.message);
	});
}

// 检测是否安装支付服务
function checkServices(channel) {
	if(!channel.serviceReady) {
		var cnt = null;
		switch(channel.id) {
			case "alipay":
				cnt = "系统未安装“支付宝快捷支付服务”，无法完成支付操作，是否立即安装？";
				break;
			case "wxpay":
				cnt = "系统未安装“微信支付”服务，无法完成支付，是否立即安装？";
				break;
			default:
				cnt = "系统未安装“" + channel.description + "”服务，无法完成支付，是否立即安装？";
				break;
		}
		mui.confirm(txt, channel.description, ['是', '否'], function(e) {
			if(e.index == 0) {
				channel.installService();
			}
		});
	}
}

function toRecharge(recType) {
	var id = 'alipay';
	if('1' == recType) {
		id = 'alipay';
		checkServices(pays[id]);
	} else if('4' == recType) {
		id = 'wxpay';
		checkServices(pays[id]);
	} else {

	}
	baseClass.showWaiting('正在处理');
	mui.ajax(serverUrl + 'User/Recharge', {
		data: {
			UserID: window.getItem('uid'),
			OS: payOS,
			Amount: parseFloat(money.value).toFixed(2),
			Channel: recType
		},
		dataType: 'json',
		type: 'POST',
		timeout: 10000,
		success: function(data) {
			console.log(JSON.stringify(data))
			baseClass.closeWaiting();
			if(!(data.Result === undefined && data.ErrorMsg === undefined)) {
				mui.toast(data.ErrorMsg);
			} else {
				console.log(JSON.stringify(data))
				plus.payment.request(pays[id], data.Data, function(result) {
					plus.nativeUI.alert("支付成功：感谢您的支持。", function() {
						mui.back();
					}, "温馨提示");
					setTimeout(function() {
						page.close();
						rePage = plus.webview.getWebviewById('myaccount-main.html');
						rePage.children()[0].evalJS('pulldownRefresh()');
					}, 3000);
				}, function(error) {
					console.log(JSON.stringify(error))
					if(error.code == 62001) {
						mui.toast("您放弃支付.");
						mui.back();
					} else {
						plus.nativeUI.alert("支付失败", null, "请前往会员中心再次对该订单尝试支付,支付失败：" + error.code);
					}
				});
			}
		},
		error: function(xhr, type, errorThrown) {
			baseClass.closeWaiting();
			showError('ajax', type);
		}
	});
}

/*
 * 支付
 * @id 支付通道ID
 * @payType:用户选择的付款方式(C支付宝、R余额、A余额不够支付宝支付、D现场支付)
 *
 */
function toPay(id, payType, args) {
	if(payType == '3' || payType == '4' || payType == '5' || payType == '7') {
		checkServices(pays[id]);
	}
	baseClass.showWaiting('正在处理');
	mui.ajax(serverUrl + 'Order/PayOrder', {
		data: {
			os: payOS,
			payType: payType,
			OrderID: order_id,
			UserID: window.getItem('uid'),
			totalpay: args.totalpay
		},
		dataType: 'json',
		type: 'POST',
		timeout: 10000,
		success: function(data) {
			console.log(JSON.stringify(data))
			baseClass.closeWaiting();
			if(payType == '3' || payType == '4' || payType == '5' || payType == '7') {
				if(data != null) {
					if(!(data.Result === undefined && data.ErrorMsg === undefined)) {
						mui.toast(data.ErrorMsg);
					} else {
						plus.payment.request(pays[id], data.Data, function(result) {
							plus.nativeUI.alert("支付成功：感谢您的支持。", function() {
								var args = {
									id: 'reserve-succ.html',
									url: 'reserve-succ.html',
									params: {
										trans: trans
									}
								};
								openWindowCust(args);
							}, "温馨提示");

						}, function(error) {
							if(error.code == 62001) {
								mui.toast("您放弃支付.");
								mui.back();
							} else {
								plus.nativeUI.alert("支付失败", null, "请前往会员中心再次对该订单尝试支付,支付失败：" + error.code);
							}
						});
					}
				}
			} else if(payType == '1' || payType == '2') {
				if(data.Result == '1') {
					mui.toast('余额支付成功!');
					var args = {
						id: 'reserve-succ.html',
						url: 'reserve-succ.html',
						params: {
							trans: trans
						}
					};
					openWindowCust(args);
				} else {
					mui.toast(data.ErrorMsg);
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			baseClass.closeWaiting();
			showError('ajax', type);
		}
	});
}

/*
 * 新疆慈善捐赠支付
 * @id String: 支付通道ID
 * @payType String:用户选择的付款方式(1 电子现金，2 线下支付，3 支付宝，4 储蓄卡，5 信用卡，6 公众号，7 微信支付)
 * @args Object：附加信息
 * 
 */
function toShanPay(id, payType, args) {
	if(payType == '3' || payType == '4' || payType == '5' || payType == '7') {
		checkServices(pays[id]);
	}
	baseClass.showWaiting('正在处理');
	mui.ajax(serverUrl + 'Weal/DonateCharity', {
		data: {
			OS: payOS,
			PayType: payType,
			CharityID: args.charityID,
			Totalpay: args.totalpay
		},
		dataType: 'json',
		type: 'POST',
		timeout: 10000,
		success: function(data) {
			console.log(JSON.stringify(data))
			baseClass.closeWaiting();
			if(payType == '3' || payType == '4' || payType == '5' || payType == '7') {
				if(data != null) {
					if(!(data.Result === undefined && data.ErrorMsg === undefined)) {
						mui.toast(data.ErrorMsg);
					} else {
						plus.payment.request(pays[id], data.Data, function(result) {
							plus.nativeUI.alert("支付成功：感谢您的支持。", function() {
								var args = {
									id: 'reserve-succ.html',
									url: '../order/reserve-succ.html',
									params: {
										trans: trans
									}
								};
								openWindowCust(args);
							}, "温馨提示");

						}, function(error) {
							if(error.code == 62001) {
								mui.toast("您放弃支付.");
								mui.back();
							} else {
								plus.nativeUI.alert("支付失败", null, "请前往会员中心再次对该订单尝试支付,支付失败：" + error.code);
							}
						});
					}
				}
			} else if(payType == '1' || payType == '2') {
				if(data.Result == '1') {
					mui.toast('余额支付成功!');
					var args = {
						id: 'reserve-succ.html',
						url: '../order/reserve-succ.html',
						params: {
							trans: trans
						}
					};
					openWindowCust(args);
				} else {
					mui.toast(data.ErrorMsg);
				}
			}
		},
		error: function(xhr, type, errorThrown) {
			baseClass.closeWaiting();
			showError('ajax', type);
		}
	});
}